Loading...
Searching...
No Matches
scheme-inl.h File Reference

Definitions for the URL scheme. More...

`#include "ada/scheme.h"`

Go to the source code of this file.

## Namespaces

namespace | ada
namespace | ada::scheme
| URL scheme utilities and constants.
namespace | ada::scheme::details
| Includes the definitions for scheme specific entities.

## Functions

constexpr uint64_t | ada::scheme::details::make_key (std::string_view sv)
uint64_t | ada::scheme::details::branchless_load5 (const char *p, size_t n)
constexpr uint16_t | ada::scheme::get_special_port (std::string_view scheme) noexcept
constexpr uint16_t | ada::scheme::get_special_port (ada::scheme::type type) noexcept
constexpr ada::scheme::type | ada::scheme::get_scheme_type (std::string_view scheme) noexcept

## Variables

constexpr std::string_view | ada::scheme::details::is_special_list []
constexpr uint16_t | ada::scheme::details::special_ports [] = {80, 0, 443, 80, 21, 443, 0, 0}
constexpr uint64_t | ada::scheme::details::scheme_keys []

## Detailed Description

Definitions for the URL scheme.

Definition in file scheme-inl.h.